> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Drugs

> Retrieve drugs (chemicals).

Example: drug_id = PA448497 (chemical ids from pharmGKB),

name = aspirin.

The limit parameter controls the page size and can not exceed 1000.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /drugs
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /drugs:
    get:
      summary: Drugs
      description: |-
        Retrieve drugs (chemicals).

        Example: drug_id = PA448497 (chemical ids from pharmGKB),

        name = aspirin.

        The limit parameter controls the page size and can not exceed 1000.

        Pagination is 0-based.
      operationId: drugs
      parameters:
        - name: drug_id
          in: query
          required: false
          schema:
            type: string
        - name: name
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    name:
                      type: string
                    drug_ontology_terms:
                      type: array
                      items:
                        type: string
                    source:
                      type: string
                    source_url:
                      type: string
                  required:
                    - _id
                    - name
                    - source
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````